---
updatedAt: 2026-05-20T06:32:36.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Get Stake Accounts

Retrieve all of the stake accounts.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "version": "1.0.0",
    "title": "Staking API",
    "description": "The Blockdaemon Staking API simplifies and streamlines institutional cryptocurrency staking. The API allows developers to interact with blockchain networks and perform various staking-related operations, such as delegating and undelegating tokens, in a single, unified interface.\n\nWith the Staking API, you can quickly and easily build and deploy applications that automate staking activities and increase efficiency in your blockchain operations.",
    "contact": {
      "name": "Blockdaemon",
      "email": "info@blockdaemon.com",
      "url": "https://blockdaemon.com"
    },
    "x-logo": {
      "url": "https://assets-global.website-files.com/633c5e06513fa35f3391a5f9/645d33beb6fa65f6cfb95eb8_BD%20Logo%20Stack%20-%20Purple.svg",
      "backgroundColor": "#fafafa",
      "altText": "Blockdaemon logo"
    }
  },
  "x-readme": {
    "explorer-enabled": false
  },
  "servers": [
    {
      "url": "https://svc.blockdaemon.com/boss"
    }
  ],
  "components": {
    "securitySchemes": {
      "ApiKeyAuth": {
        "description": "When signing up for a staking account, you are provided with an API key.\n\nTo authenticate a Staking API request, pass your API key in the `X-API-Key` header.",
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      }
    },
    "parameters": {
      "Page": {
        "in": "query",
        "name": "page",
        "required": false,
        "schema": {
          "type": "integer",
          "format": "int64",
          "minimum": 1,
          "default": 1
        },
        "description": "The result set page to view"
      },
      "StakeAccountsPerPage": {
        "in": "query",
        "name": "per_page",
        "required": false,
        "schema": {
          "type": "integer",
          "format": "int64",
          "minimum": 1,
          "maximum": 50,
          "default": 50
        },
        "description": "The number of items to include on a single page"
      },
      "SolanaNetwork": {
        "name": "network",
        "in": "path",
        "description": "Solana network",
        "required": true,
        "schema": {
          "$ref": "#/components/schemas/SolanaNetwork"
        }
      }
    },
    "responses": {
      "InternalServerError": {
        "description": "Internal server error.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      },
      "InvalidRequest": {
        "description": "Invalid request.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "description": "Error response envelope",
              "required": [
                "code",
                "message"
              ],
              "properties": {
                "code": {
                  "type": "integer",
                  "format": "int32",
                  "description": "Error code",
                  "example": 400
                },
                "message": {
                  "type": "string",
                  "description": "Error Message",
                  "example": "Detailed human-readable diagnostic message regarding any invalid request parameters"
                }
              }
            }
          }
        }
      },
      "Unauthorized": {
        "description": "Header 'X-API-Key' missing.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/UnauthorizedError"
            }
          }
        }
      }
    },
    "schemas": {
      "SolanaStakeAccountStatus": {
        "type": "string",
        "description": "Solana stake account internal status based on the transaction intents that have been created against the stake accounts.",
        "enum": [
          "pending",
          "active",
          "activating",
          "deactivated",
          "deactivating",
          "withdrawing",
          "withdrawn"
        ]
      },
      "SolanaStakeAccount": {
        "type": "object",
        "description": "Stake account",
        "required": [
          "status",
          "amount",
          "stake_account_address",
          "stake_account_authority",
          "withdrawal_authority",
          "delegator_address",
          "vote_account",
          "network"
        ],
        "properties": {
          "status": {
            "$ref": "#/components/schemas/SolanaStakeAccountStatus"
          },
          "amount": {
            "$ref": "#/components/schemas/Lamport"
          },
          "stake_account_address": {
            "$ref": "#/components/schemas/SolanaPublicKey"
          },
          "stake_account_authority": {
            "$ref": "#/components/schemas/SolanaPublicKey"
          },
          "withdrawal_authority": {
            "$ref": "#/components/schemas/SolanaPublicKey"
          },
          "delegator_address": {
            "$ref": "#/components/schemas/SolanaPublicKey"
          },
          "vote_account": {
            "$ref": "#/components/schemas/SolanaPublicKey"
          },
          "network": {
            "$ref": "#/components/schemas/SolanaNetwork"
          }
        }
      },
      "SolanaStakeAccounts": {
        "type": "object",
        "required": [
          "stake_accounts",
          "pagination"
        ],
        "properties": {
          "stake_accounts": {
            "type": "array",
            "description": "List of stake accounts",
            "items": {
              "$ref": "#/components/schemas/SolanaStakeAccount"
            }
          },
          "pagination": {
            "$ref": "#/components/schemas/Pagination"
          }
        }
      },
      "Error": {
        "type": "object",
        "description": "Error response envelope",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "integer",
            "format": "int32",
            "description": "Error code",
            "example": 500
          },
          "message": {
            "type": "string",
            "description": "Error Message",
            "example": "A descriptive error message"
          }
        }
      },
      "Lamport": {
        "type": "string",
        "description": "Denomination of the cryptocurrency Solana.",
        "pattern": "^[1-9]\\d+$",
        "example": "100"
      },
      "Pagination": {
        "type": "object",
        "description": "encapsulates pagination properties",
        "required": [
          "page",
          "per_page",
          "total"
        ],
        "properties": {
          "page": {
            "description": "current page number",
            "type": "integer",
            "format": "int64"
          },
          "per_page": {
            "description": "number of results per page",
            "type": "integer",
            "format": "int64"
          },
          "total": {
            "description": "total number of results",
            "type": "integer",
            "format": "int64"
          }
        }
      },
      "SolanaNetwork": {
        "type": "string",
        "description": "Solana network",
        "enum": [
          "mainnet",
          "testnet"
        ]
      },
      "SolanaPublicKey": {
        "type": "string",
        "description": "Public Key of an asymmetric key-pair.",
        "format": "base58",
        "pattern": "^[1-9A-HJ-NP-Za-km-z]{44}$",
        "example": "5xot9PVkphiX2adznghwrAuxGs2zeWisNSxMW6hU6Hkj"
      },
      "UnauthorizedError": {
        "type": "object",
        "description": "Error response envelope",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "integer",
            "format": "int32",
            "description": "Error code",
            "example": 401
          },
          "message": {
            "type": "string",
            "description": "Error Message",
            "example": "A human-readable diagnostic message detailing any authorization failure"
          }
        }
      }
    }
  },
  "security": [
    {
      "ApiKeyAuth": []
    }
  ],
  "paths": {
    "/v1/solana/{network}/stake-accounts": {
      "parameters": [
        {
          "$ref": "#/components/parameters/SolanaNetwork"
        },
        {
          "$ref": "#/components/parameters/Page"
        },
        {
          "$ref": "#/components/parameters/StakeAccountsPerPage"
        }
      ],
      "get": {
        "summary": "Get Stake Accounts",
        "operationId": "getStakeAccountsSolana",
        "tags": [
          "Solana"
        ],
        "description": "Retrieve all of the stake accounts.",
        "responses": {
          "200": {
            "description": "Ok",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SolanaStakeAccounts"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/InvalidRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          }
        },
        "security": [
          {
            "ApiKeyAuth": []
          }
        ]
      }
    }
  },
  "tags": [
    {
      "name": "Solana",
      "description": "Solana endpoints"
    }
  ]
}
```